Bug 169736 - Patch for broken net-im/libjingle port
Patch for broken net-im/libjingle port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: TAKATSU Tomonari
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 16:30 UTC by nishida
Modified: 2012-12-30 05:40 UTC (History)
0 users

See Also:


Attachments
file.diff (781 bytes, patch)
2012-07-09 16:30 UTC, nishida
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nishida 2012-07-09 16:30:09 UTC
net-im/libjingle is marked as BROKEN for non i386 systems.
This is due to a mismatch in types "size_t != unsigned int" on non i386 systems.
I have attached a patch for fixing it.

Fix: Put the attached patch in "net-im/libjingle/files/" and make.

Patch attached with submission follows:
How-To-Repeat: Just compile and see an error.
Comment 1 Carlo Strub freebsd_committer 2012-07-20 21:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 Carlo Strub freebsd_committer 2012-09-02 13:08:08 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

Back to pool.
Comment 3 TAKATSU Tomonari freebsd_committer 2012-12-30 05:21:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

I'll take it.
Comment 4 dfilter freebsd_committer 2012-12-30 05:32:26 UTC
Author: tota
Date: Sun Dec 30 05:32:18 2012
New Revision: 309650
URL: http://svnweb.freebsd.org/changeset/ports/309650

Log:
  - Unbreak on !i386
  - Pet portlint
    * Convert to new Makefile header
    * Remove ABI versions from LIB_DEPENDS
    * and so on
  
  PR:		ports/169736 (based on)
  Submitted by:	Hiroshi Nishida <nishida_AT_asusa_DOT_net>

Added:
  head/net-im/libjingle/files/patch-talk__session__fileshare__fileshare.cc   (contents, props changed)
Modified:
  head/net-im/libjingle/Makefile

Modified: head/net-im/libjingle/Makefile
==============================================================================
--- head/net-im/libjingle/Makefile	Sun Dec 30 05:27:57 2012	(r309649)
+++ head/net-im/libjingle/Makefile	Sun Dec 30 05:32:18 2012	(r309650)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	libjingle
-# Date created:		Wed Feb 22 01:33:20 UTC 2006
-# Whom:                 Mario Sergio Fujikawa Ferreira <lioux@FreeBSD.org>
-#
+# Created by: Mario Sergio Fujikawa Ferreira <lioux@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libjingle
 PORTVERSION=	0.4.0
@@ -14,10 +10,10 @@ MASTER_SITES=	SF
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Google Talk's implementation of Jingle and Jingle-Audio
 
-LIB_DEPENDS=	speex.1:${PORTSDIR}/audio/speex \
-		ilbc.0:${PORTSDIR}/net/ilbc \
-		ortp.8:${PORTSDIR}/net/linphone-base \
-		expat.6:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	speex:${PORTSDIR}/audio/speex \
+		ilbc:${PORTSDIR}/net/ilbc \
+		ortp:${PORTSDIR}/net/linphone-base \
+		expat:${PORTSDIR}/textproc/expat2
 
 CONFLICTS=	krb4-[0-9]* krb5-[0-9]* heimdal-[0-9]* srp-[0-9]* \
 		clusterit-[0-9]* pcp-[0-9]* synce-librapi2-[0-9]*
@@ -42,22 +38,21 @@ CONFIGURE_ENV=	PKG_CONFIG="${PKG_CONFIG}
 		SPEEX_LIBS="$$(${PKG_CONFIG} --libs speex)"
 CPPFLAGS+=	-I${LOCALBASE}/include -I${OPENSSLINC} ${PTHREAD_CFLAGS} -g
 MAKE_JOBS_SAFE=	yes
+LDFLAGS+=-L${LOCALBASE}/lib -L${OPENSSLLIB} ${PTHREAD_LIBS}
 
-DOC_FILES=	AUTHORS \
+PORTDOCS=	AUTHORS \
 		ChangeLog \
 		DOCUMENTATION \
 		NEWS \
 		README
 
-.ifndef(NOPORTDOCS)
-PORTDOCS=	${DOC_FILES}
-.endif
-
 PLIST_FILES+=	bin/login \
 		bin/pcp \
 		bin/relayserver \
 		bin/stunserver \
 
+.include <bsd.port.options.mk>
+
 post-configure:
 # force glib
 # force ilbc
@@ -79,21 +74,12 @@ post-configure:
 .endfor
 
 post-install:
-.ifndef(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-.for file in ${PORTDOCS}
-	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
+.for f in ${PORTDOCS}
+	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
 .endfor
 .endif
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} != "i386"
-BROKEN=		does not compile
-.endif
-
-LDFLAGS+=-L${LOCALBASE}/lib -L${OPENSSLLIB} ${PTHREAD_LIBS}
-PKG_CONFIG?=${LOCALBASE}/bin/pkg-config
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Added: head/net-im/libjingle/files/patch-talk__session__fileshare__fileshare.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/libjingle/files/patch-talk__session__fileshare__fileshare.cc	Sun Dec 30 05:32:18 2012	(r309650)
@@ -0,0 +1,13 @@
+--- talk/session/fileshare/fileshare.cc.orig	2012-07-05 15:29:12.000000000 -0700
++++ talk/session/fileshare/fileshare.cc	2012-07-05 15:45:43.000000000 -0700
+@@ -670,8 +670,8 @@
+         && !query.empty()
+         && (sscanf(query.c_str(), "width=%u&height=%u",
+                    &width, &height) == 2)) {
+-      width = talk_base::_max<unsigned int>(1, talk_base::_min(width, kMaxPreviewSize));
+-      height = talk_base::_max<unsigned int>(1, talk_base::_min(height, kMaxPreviewSize));
++      width = talk_base::_max<unsigned int>(1, talk_base::_min((size_t)width, kMaxPreviewSize));
++      height = talk_base::_max<unsigned int>(1, talk_base::_min((size_t)height, kMaxPreviewSize));
+       std::string pathname;
+       if (is_sender_) {
+         talk_base::Pathname local_path;
\ No newline at end of file
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 TAKATSU Tomonari freebsd_committer 2012-12-30 05:33:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!